Bug 999479 - packstack wrong configuration for Horizon CACHE_BACKEND in local_setting.py
packstack wrong configuration for Horizon CACHE_BACKEND in local_setting.py
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Linux
unspecified Severity medium
: rc
: 4.0
Assigned To: Francesco Vollero
Martin Magr
: OtherQA, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 07:41 EDT by Nir Magnezi
Modified: 2016-04-26 19:19 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.14.dev919.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:19:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
local_settings.py (4.59 KB, text/x-python)
2013-08-21 07:43 EDT, Nir Magnezi
no flags Details

  None (edit)
Description Nir Magnezi 2013-08-21 07:41:56 EDT
Description of problem:
=======================
packstack wrong configuration for  Horizon CACHE_BACKEND in local_setting.py.
As a result of that, a DeprecationWarning appears in httpd logs

Version-Release number of selected component (if applicable):
=============================================================
Grizzly async puddle: 2013-08-15.1
openstack-packstack-2013.1.1-0.27.dev660.el6ost.noarch

How reproducible:
=================
1/1

Steps to Reproduce:
===================
1. install openstack via packstack
2. grep CACHE /var/log/httpd/*_log

Actual results:
===============
/var/log/httpd/error_log:
[error] DeprecationWarning: settings.CACHE_* is deprecated; use settings.CACHES instead.DeprecationWarning: Translations in the project directory aren't supported anymore. Use the LOCALE_PATHS setting instead.DeprecationWarning: The syntax for the url template tag is changing. Load the `url` tag from the `future` tag library to start using the new behavior.DeprecationWarning: Authentication backends without a `supports_inactive_user` attribute are deprecated. Please define it in <class 'openstack_auth.backend.KeystoneBackend'>.

Expected results:
=================
No errors should be expected.

Additional info:
================
jpichon mentioned that this was already fixed in Grizzly:
https://github.com/openstack/horizon/blob/stable/grizzly/openstack_dashboard/local/local_settings.py.example#L69

IRC Chat:
<jpichon> I think I remember mrunge saying packstack was creating its own local_settings.py instead of copy-pasting from local_settings.py.example, this may be the result
Comment 1 Nir Magnezi 2013-08-21 07:43:48 EDT
Created attachment 788827 [details]
local_settings.py
Comment 3 Alvaro Lopez Ortega 2013-11-26 14:11:08 EST
It's fixed in Havana already.
Comment 5 Scott Lewis 2013-12-09 10:30:42 EST
Adding OtherQA for bugs in MODIFIED
Comment 8 Martin Magr 2013-12-12 08:31:12 EST
[root@virtual-rhel ~]# cat /etc/openstack-dashboard/local_settings | grep CACHE -A8
# memcached set CACHES to something like
# CACHES = {
#    'default': {
#        'BACKEND' : 'django.core.cache.backends.memcached.MemcachedCache',
#        'LOCATION' : '127.0.0.1:11211',
#    }
#}

CACHES = {
    'default': {
        
#        'BACKEND': 'django.core.cache.backends.locmem.LocMemCache'
        'BACKEND': 'django.core.cache.backends.memcached.MemcachedCache',
        'LOCATION': '127.0.0.1:11211',
        
    }
}
[root@virtual-rhel ~]# cat /var/log/httpd/*log | grep CACHE
[root@virtual-rhel ~]#
Comment 10 errata-xmlrpc 2013-12-19 19:19:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.